Skip to main content
`Ctrl`+`K`

# PetscFEGetBasisSpace

Returns the `PetscSpace` used for the approximation of the solution for the `PetscFE`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetBasisSpace(PetscFE fem, PetscSpace *sp)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- sp - The `PetscSpace` object

## See Also

`PetscFE`, `PetscSpace`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages